> For the complete documentation index, see [llms.txt](https://docs.goaffpro.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.goaffpro.com/how-tos/manual-integration/custom-sdk-integration/e-junkie-integration.md).

# E-Junkie Integration

#### To integrate E-Junkie with GoAffPro SDK integration:

Add the general tracking code of the thank you page in E-Junkie:

```
<script type="text/javascript" src="https://api.goaffpro.com/loader.js?shop=your-unique-store-public-key"></script>
```

{% hint style="info" %}
Please make sure to replace the <mark style="background-color:blue;">your-unique-store-public-key</mark> from the code, with the public key from your account (from the Settings > Advanced > Third Party Tracking section).
{% endhint %}

After this, add the following conversion tracking code (below the general tracking code):

```
<script type="text/javascript">
var goaffproOrder = {
    id:'[%txn_id%]', 
    number:'[%ej_txn_id%]', 
    total: '[%gross%]',
    subtotal: '[%total%]', 
    tax: '[%tax%]',
    shipping: '[%shipping%]',
    currency:'[%currency%]',
    customer: { 
        first_name:'[%first_name%]',
        last_name:'[%last_name%]',
        email:'[%payer_email%]'
    },
    status:"approved"
}

goaffproTrackConversion(goaffproOrder);
</script>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.goaffpro.com/how-tos/manual-integration/custom-sdk-integration/e-junkie-integration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
